aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Commands.GetIdentityNotificationAttributes

Synopsis

- data GetIdentityNotificationAttributes = GetIdentityNotificationAttributes [Text]
- data GetIdentityNotificationAttributesResponse = GetIdentityNotificationAttributesResponse [IdentityNotificationAttributes]
- data IdentityNotificationAttributes = IdentityNotificationAttributes {
  - inIdentity :: Text
  - inBounceTopic :: Maybe Text
  - inComplaintTopic :: Maybe Text
  - inForwardingEnabled :: Bool
  }

# Documentation

data GetIdentityNotificationAttributes #

Get notification settings for the given identities.

Constructors

GetIdentityNotificationAttributes [Text] |

#### Instances

Instances details

SignQuery GetIdentityNotificationAttributes # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes

Associated Types

type ServiceConfiguration GetIdentityNotificationAttributes |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes type ServiceConfiguration GetIdentityNotificationAttributes = SesConfiguration

Methods

signQuery :: GetIdentityNotificationAttributes -> ServiceConfiguration GetIdentityNotificationAttributes queryType -> SignatureData -> SignedQuery #

Show GetIdentityNotificationAttributes # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes Methods showsPrec :: Int -> GetIdentityNotificationAttributes -> ShowS # show :: GetIdentityNotificationAttributes -> String # showList :: [GetIdentityNotificationAttributes] -> ShowS #
Eq GetIdentityNotificationAttributes # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes Methods (==) :: GetIdentityNotificationAttributes -> GetIdentityNotificationAttributes -> Bool # (/=) :: GetIdentityNotificationAttributes -> GetIdentityNotificationAttributes -> Bool #
Ord GetIdentityNotificationAttributes # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes

Methods

compare :: GetIdentityNotificationAttributes -> GetIdentityNotificationAttributes -> Ordering #

(<) :: GetIdentityNotificationAttributes -> GetIdentityNotificationAttributes -> Bool #

(<=) :: GetIdentityNotificationAttributes -> GetIdentityNotificationAttributes -> Bool #

(>) :: GetIdentityNotificationAttributes -> GetIdentityNotificationAttributes -> Bool #

(>=) :: GetIdentityNotificationAttributes -> GetIdentityNotificationAttributes -> Bool #

max :: GetIdentityNotificationAttributes -> GetIdentityNotificationAttributes -> GetIdentityNotificationAttributes #

min :: GetIdentityNotificationAttributes -> GetIdentityNotificationAttributes -> GetIdentityNotificationAttributes #

ResponseConsumer GetIdentityNotificationAttributes GetIdentityNotificationAttributesResponse # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes

Associated Types

type ResponseMetadata GetIdentityNotificationAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes type ResponseMetadata GetIdentityNotificationAttributesResponse = SesMetadata

Methods

responseConsumer :: Request -> GetIdentityNotificationAttributes -> IORef (ResponseMetadata GetIdentityNotificationAttributesResponse) -> HTTPResponseConsumer GetIdentityNotificationAttributesResponse #

Transaction GetIdentityNotificationAttributes GetIdentityNotificationAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes
type ServiceConfiguration GetIdentityNotificationAttributes # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes type ServiceConfiguration GetIdentityNotificationAttributes = SesConfiguration

data GetIdentityNotificationAttributesResponse #

The response sent back by Amazon SES after a `GetIdentityNotificationAttributes` command.

Constructors

GetIdentityNotificationAttributesResponse [IdentityNotificationAttributes] |

#### Instances

Instances details

AsMemoryResponse GetIdentityNotificationAttributesResponse # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes

Associated Types

type MemoryResponse GetIdentityNotificationAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes type MemoryResponse GetIdentityNotificationAttributesResponse = GetIdentityNotificationAttributesResponse

Methods

loadToMemory :: GetIdentityNotificationAttributesResponse -> ResourceT IO (MemoryResponse GetIdentityNotificationAttributesResponse) #

Show GetIdentityNotificationAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes Methods showsPrec :: Int -> GetIdentityNotificationAttributesResponse -> ShowS # show :: GetIdentityNotificationAttributesResponse -> String # showList :: [GetIdentityNotificationAttributesResponse] -> ShowS #
Eq GetIdentityNotificationAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes Methods (==) :: GetIdentityNotificationAttributesResponse -> GetIdentityNotificationAttributesResponse -> Bool # (/=) :: GetIdentityNotificationAttributesResponse -> GetIdentityNotificationAttributesResponse -> Bool #
Ord GetIdentityNotificationAttributesResponse # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes

Methods

compare :: GetIdentityNotificationAttributesResponse -> GetIdentityNotificationAttributesResponse -> Ordering #

(<) :: GetIdentityNotificationAttributesResponse -> GetIdentityNotificationAttributesResponse -> Bool #

(<=) :: GetIdentityNotificationAttributesResponse -> GetIdentityNotificationAttributesResponse -> Bool #

(>) :: GetIdentityNotificationAttributesResponse -> GetIdentityNotificationAttributesResponse -> Bool #

(>=) :: GetIdentityNotificationAttributesResponse -> GetIdentityNotificationAttributesResponse -> Bool #

max :: GetIdentityNotificationAttributesResponse -> GetIdentityNotificationAttributesResponse -> GetIdentityNotificationAttributesResponse #

min :: GetIdentityNotificationAttributesResponse -> GetIdentityNotificationAttributesResponse -> GetIdentityNotificationAttributesResponse #

ResponseConsumer GetIdentityNotificationAttributes GetIdentityNotificationAttributesResponse # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes

Associated Types

type ResponseMetadata GetIdentityNotificationAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes type ResponseMetadata GetIdentityNotificationAttributesResponse = SesMetadata

Methods

responseConsumer :: Request -> GetIdentityNotificationAttributes -> IORef (ResponseMetadata GetIdentityNotificationAttributesResponse) -> HTTPResponseConsumer GetIdentityNotificationAttributesResponse #

Transaction GetIdentityNotificationAttributes GetIdentityNotificationAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes
type MemoryResponse GetIdentityNotificationAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes type MemoryResponse GetIdentityNotificationAttributesResponse = GetIdentityNotificationAttributesResponse
type ResponseMetadata GetIdentityNotificationAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes type ResponseMetadata GetIdentityNotificationAttributesResponse = SesMetadata

data IdentityNotificationAttributes #

Constructors

IdentityNotificationAttributes |

Fields

- inIdentity :: Text
- inBounceTopic :: Maybe Text
- inComplaintTopic :: Maybe Text
- inForwardingEnabled :: Bool

#### Instances

Instances details

Show IdentityNotificationAttributes # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes Methods showsPrec :: Int -> IdentityNotificationAttributes -> ShowS # show :: IdentityNotificationAttributes -> String # showList :: [IdentityNotificationAttributes] -> ShowS #
Eq IdentityNotificationAttributes # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes Methods (==) :: IdentityNotificationAttributes -> IdentityNotificationAttributes -> Bool # (/=) :: IdentityNotificationAttributes -> IdentityNotificationAttributes -> Bool #
Ord IdentityNotificationAttributes # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes

Methods

compare :: IdentityNotificationAttributes -> IdentityNotificationAttributes -> Ordering #

(<) :: IdentityNotificationAttributes -> IdentityNotificationAttributes -> Bool #

(<=) :: IdentityNotificationAttributes -> IdentityNotificationAttributes -> Bool #

(>) :: IdentityNotificationAttributes -> IdentityNotificationAttributes -> Bool #

(>=) :: IdentityNotificationAttributes -> IdentityNotificationAttributes -> Bool #

max :: IdentityNotificationAttributes -> IdentityNotificationAttributes -> IdentityNotificationAttributes #

min :: IdentityNotificationAttributes -> IdentityNotificationAttributes -> IdentityNotificationAttributes #